Imagick::getPackageName
Imagick::getPixelIterator
Imagick
PHP Manual

# Imagick::getPage

(PECL imagick 2.0.0)

Imagick::getPage — Returns the page geometry

### Description

array Imagick::getPage ( void )

Returns the page geometry associated with the Imagick object in an associative array with the keys "width", "height", "x", and "y".

### Return Values

Returns the page geometry associated with the Imagick object in an associative array with the keys "width", "height", "x", and "y", throwing ImagickException on error.

Imagick::getPackageName
Imagick::getPixelIterator
Imagick
PHP Manual